J'ai essayé de passer des épreuves en pdf cliquable en utilisant pdfform.
Lorsque je génère des copies avec une feuille réponse séparée ou non dans les cases du sujet il n'y a pas le 
label des cases. Si je génère un sujet sans grille réponse séparée on s'en fiche mais quand il y a une grille 
réponse séparée, il y a un réel problème.
Avez-vous connaissance de ce problème ou un patch à me proposer ?
Merci.
Bien à vous,
Hervé

History
04/11/2020 12:17 pm - Hervé HOCQUARD
J ai essayé de rajouté l option outsidebox qui permet de faire afficher les labels sur la grille réponse séparée mais les labels du sujet n apparaissent 
toujours pas.
Merci.
Hervé

04/11/2020 12:17 pm - Hervé HOCQUARD
Hervé HOCQUARD wrote:
> J ai essayé de rajouter l option outsidebox qui permet de faire afficher les labels sur la grille réponse séparée mais les labels du sujet n apparaissent 
toujours pas.
> Merci.
> Hervé

04/11/2020 06:23 pm - Alexis Bienvenüe
- Priority changed from High to Normal

Petite question en passant : quel intérêt voyez-vous à l'utilisation de la feuille de réponse séparée lors de l'utilisation de formulaires PDF ?

04/11/2020 06:58 pm - Hervé HOCQUARD
Je craignais qu'AMC ne "supporte pas" le scan de sujets qui peuvent faire jusqu'à 10 pages pour des promos de 800 étudiants. En gros je préfère avoir 
à gérer 800 grilles réponses plutôt que 8000 feuilles. Mais si ça passe avec un tel nombre je bascule sur une version de sujet sans grille réponse. 
Merci. Hervé. 

04/11/2020 07:15 pm - Alexis Bienvenüe
Mais si vous parlez de scan et de feuilles, c'est que vous n'utilisez pas pdfform ?

04/11/2020 07:23 pm - Hervé HOCQUARD
Ah j'ai dû louper un truc quelque part du coup avec pdfform.

04/11/2020 07:25 pm - Hervé HOCQUARD
Hervé HOCQUARD wrote:
> Ah j'ai dû louper un truc quelque part du coup avec pdfform.
Il faudra qu'AMC gère quand même 8000 feuilles pour la correction. "Scan" ok désolé je me suis mal exprimé.

04/12/2020 10:16 am - Alexis Bienvenüe
Si vous avez de la place sur votre disque dur, les 10×800 pages ne devraient pas poser de problème.
* Si vous utilisez @pdfform@, je conseillerais de ne pas utiliser de feuille de réponse séparée. De toute façon, vous allez vous retrouver, avec ou sans 
feuille de réponses séparée, avec 800 fichiers PDF remplis à traiter par AMC, et ces fichiers ne sont pas trop gros en général.
* Si vous utilisez des formulaires papier (sans @pdfform@ donc), vous pouvez utiliser la feuille de réponse séparée si vous craignez que leur 
traitement pour les scanner vous prenne trop de temps. Sur des sujets à plusieurs pages, le temps mis pour enlever les agrafes avant de scanner n'est 
pas non plus à négliger, alors qu'avec une feuille de réponse séparée on peut demander aux étudiants de détacher cette feuille et ne rendre que 
celle-ci. Bien sûr, tout cela dépend aussi de votre équipement en scanner (les imprimantes/scanners "industrielles" qui peuvent manger votre paquet de 
200 pages et les scanner en recto-verso en un seul rapide passage sont ici un atout de taille, et j'utilise pour ma part un massicot électrique pour 
découper les coins des copies afin d'enlever les agrafes de manière assez efficace). D'autre part, les fichiers scans sont en général bien plus gros que 
les fichiers PDF initiaux, et le stockage des 10×800 images des scans peut commencer à être lourd quand on multiplie les examens.

Tout cela étant dit, le bug que vous mentionnez devra bien entendu être corrigé ;)

04/12/2020 12:54 pm - Hervé HOCQUARD
Bonjour Alexis,

Merci pour votre réponse. Je vais tenter une épreuve à distance dans la semaine avec pdfform et sans feuille réponse séparée, ce sera bien mieux 
aussi pour les étudiants à gérer. Par ces temps compliqués j'ai voulu tester le pdf cliquable pour ne pas désavantager les étudiants qui allaient 
répondre sur leur smartphone, d où mes interrogations récentes sur le sujet.
Jusque là j'ai utilisé AMC uniquement en version papier et uniquement avec des feuilles réponses séparées.
J'ai commencé avec 30 étudiants (en septembre 2019) ce qui m a permis de fluidifier le process et notamment de demander systématiquement aux 
étudiants d enlever la feuille réponse (l inconvénient c est que je leur laisse le sujet...), ce qui selon le niveau de délicatesse des étudiants a favorisé l 
apparition de coins bien cornés. Du coup je passe les feuilles à l envers dans le copieur et ensuite avec Adobe je réoriente le tout. Je fais les scans 
soit au service repro de la fac (scans hyper rapides), soit je les fais aussi sur un copieur normal au labo et j ai chronométré (8 minutes pour 400 
copies/grilles). En tout cas merci beaucoup pour ce logiciel parce que je suis plus serein sur la "triche" lors d épreuves en présentiel et en plus je donne 
de l air à la scolarité. Je vais essayer de passer à la version code barre à la rentrée pour éviter les erreurs de saisie de numéros d étudiants. Existe-t-il 
un modèle tex de sujet incluant ce code barre ou je peux réutiliser le modèle standard ?
Merci beaucoup. Bien à vous.

Hervé 

04/16/2020 03:42 pm - Frédéric Bréal
Bonjour Hervé et Alexis, 

Juste une question qui me tracasse, même si je n'utilise jamais l'option ensemble. En supposant le problème des cases résolu et que les étudiants 
vous renvoient uniquement la feuille de réponses, n'y a-t-il pas un risque de pertes de données de l'option pdfform en fonction du logiciel utilisé  ?

04/17/2020 10:11 am - Hervé HOCQUARD
Bonjour Gérard et Alexis,
Suite à nos derniers échanges j'ai finalement abandonné l'idée du pdfform.
En vrai, je n'ai pas réussi à corriger toutes les feuilles test du sujet que je m étais envoyé et en plus même pour la première feuille, AMC ne voyait pas 
les cases activées. Il faut que je bosse un peu plus le sujet...et là j avoue que je n ai pas trop le temps car on est en mode exams exams exams :)
J'ai migré sur une version de pdf standard dans lequel je demande aux étudiants de colorier les cases en utilisant Adobe DC.
Je leur ai demandé de m envoyer leur pdf colorié sur un faux sujet cette semaine en mode test.
Ensuite je vais extraire les grilles avec pdfSam.
Une collègue de Caséine m a dit que AMC avait été intégré à Moodle mais il me semble que dans les différents fils de discussion j avais vu que c était 
compliqué.
Pour répondre à votre question Gérard, je pense qu il y a un risque de perte de données en fonction du logiciel utilisé, je crois que c est ce qu il m est 
arrivé dans ma phase de test en début de semaine. 
Alexis pourra répondre à cette question.
Bonne journée,
Hervé 

09/21/2021 10:38 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
